#!/bin/bash
# $Id: do_wham.sh,v 1.1 2005/10/10 15:22:14 oliver Exp $
#$ -S /bin/bash
#$ -N wham
#$ -j y
#$ -cwd

# run with 
# qsub -v NAME=NA|CL|OW ...

source /sansom/fedpacks/opt/intel/cc_80/bin/iccvars.sh
PDO2META=/sansom/gfio/oliver/Devel/wham2d/scripts/pdo2meta.sh
WHAM=/sansom/gfio/oliver/Devel/wham2d/wham


: ${NAME:=NA}

meta=${NAME}.wham
pmf=f${NAME}c.dat

vars="NAME zmin zmax temperature nbins tol"

: ${zmin:=-0.7}
: ${zmax:=0.7}
: ${temperature:=300}
: ${nbins:=100}
: ${tol:=0.0001}

echo "Set wham variables with -v, as in 'qsub -v NAME=XXX -v nbins=200 ...'"
echo "wham: Running NAME=${NAME}, meta=${meta}:"
echo "wham: variables:"
for v in ${vars}; do
    echo "wham: ${v}=${!v}"
done

${WHAM} C ${zmin} ${zmax} ${nbins} ${tol} ${temperature} 0  ${meta} ${pmf}
